Bug 655275 - wodim blank=fast on DVD-RW causes kernel to retry for 25 minutes
Summary: wodim blank=fast on DVD-RW causes kernel to retry for 25 minutes
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-20 04:17 UTC by Ralph Loader
Modified: 2012-08-16 18:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 18:44:26 UTC
Type: ---


Attachments (Terms of Use)

Description Ralph Loader 2010-11-20 04:17:27 UTC
Running 'wodim blank=fast' on a previously written DVD-RW causes the kernel to go into an (apparently infinite) loop starting and stopping the DVD.

$ wodim blank=fast
wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK limits.
Device was not specified. Trying to find an appropriate drive...
Detected CD-R drive: /dev/sr0
Device type    : Removable CD-ROM
Version        : 5
Response Format: 2
Capabilities   : 
Vendor_info    : 'ASUS    '
Identification : 'DRW-2014L1T     '
Revision       : '1.02'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Using generic SCSI-3/mmc DVD-R(W) driver (mmc_mdvd).
Driver flags   : SWABAUDIO BURNFREE 
Supported modes: PACKET SAO
Speed set to 5540 KB/s
Starting to write CD/DVD at speed   4.0 in real BLANK mode for single session.
Last chance to quit, starting real write in    0 seconds. Operation starts.
wodim: OPC failed.

The process is in D state, and 'kill -9' does not stop it.

Judging by the sound, the DVD motor is spinning up and spinning down every 3 seconds of so.

There is an ATA error message in /var/log/messages:

Nov 20 17:01:46 i kernel: [169029.856091] ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
Nov 20 17:01:46 i kernel: [169029.856104] sr 1:0:0:0: [sr0] CDB: Send OPC info: 54 01 00 00 00 00 00 00 00 00
Nov 20 17:01:46 i kernel: [169029.856134] ata2.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
Nov 20 17:01:46 i kernel: [169029.856138]          res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
Nov 20 17:01:46 i kernel: [169029.856148] ata2.00: status: { DRDY }
Nov 20 17:01:46 i kernel: [169029.856161] ata2: hard resetting link
Nov 20 17:01:46 i kernel: [169030.316074] ata2: softreset failed (device not ready)
Nov 20 17:01:46 i kernel: [169030.316085] ata2: applying SB600 PMP SRST workaround and retrying
Nov 20 17:01:47 i kernel: [169030.471077] ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
Nov 20 17:01:47 i kernel: [169030.471726] ata2.00: configured for UDMA/66
Nov 20 17:01:47 i kernel: [169030.471942] ata2: EH complete
~

Kernel 2.6.35.6-48.fc14.x86_64, wodim-1.1.11-1.fc14.x86_64

Comment 1 Ralph Loader 2010-11-20 04:28:58 UTC
The process managed to exit about 20 minutes after being sent the signal, which would correspond to several hundred retries of the operation.

Locking up the DVD-writer for that long isn't sensible; if the operation hasn't succeeded after the first couple, it probably never will.

Comment 2 Chuck Ebbert 2010-12-09 16:36:42 UTC
Does this still happen on 2.6.35.9?

Comment 3 Ralph Loader 2010-12-11 23:08:52 UTC
Yes, this still happens with 2.6.35.9-64.fc14.x86_64.

It only happens with one particular disk (presumably damaged in some way).

Comment 4 Fedora End Of Life 2012-08-16 18:44:29 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.